%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                    %
%                                                                    %
%   Esta funcao plota cinco imagens                                  %
%   1 - Mapa de magnitude pela matriz mag                            %
%   2 - O contorno do mapa de magnitude sem ruido                    %
%   3 - A malha com os voxel's internos, sem o contorno              %
%   4 - Mapa de magnitude com o contorno                             %
%   5 - Os campos de velocidade u, v, w e mag                        %
%                                                                    %
%                                                                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function plot2(umri, vmri, wmri, mag, contorno, malhaInterna)
    
    xx = [1 72];
    zz = [1 60];
    
    figure;
    imagesc(mag), colormap(gray), colorbar, title('Mapa de Magnitude')
    
    figure;
    imagesc(contorno), colormap(gray), colorbar, title('Contorno')
    
    figure;
    imagesc(malhaInterna), colormap(gray), colorbar, title('Malha Interna')
    
    figure;
    m = malhaInterna.*mag;
    imagesc(contorno+m),  colormap(gray),colorbar, title('Mapa de Magnitude com Contorno')
    
    figure;
    subplot(2,2,1),imagesc(xx,zz,squeeze(wmri),[-pi,pi]), axis image, axis off, colormap(gray), colorbar
    subplot(2,2,2),imagesc(xx,zz,squeeze(vmri),[-pi,pi]), axis image, axis off, colormap(gray), colorbar
    subplot(2,2,3),imagesc(xx,zz,squeeze(umri),[-pi,pi]), axis image, axis off, colormap(gray), colorbar
    subplot(2,2,4),imagesc(xx,zz,squeeze(mag)), axis image, axis off,
    colormap(gray), colorbar
    
end